Package com.castlabs.android.player

# Class ExtendedTrackSelector.ModelSelection

java.lang.Object
com.castlabs.android.player.ExtendedTrackSelector.ModelSelection

Enclosing class:
  `ExtendedTrackSelector`

public class ExtendedTrackSelector.ModelSelection extends Object
Represents the selection of tracks and other related information for a media item.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `Object`
  `manifest`
  The manifest associated with this selection.
  `PlayerModel`
  `playerModel`
  The player model associated with this selection.
  `AudioTrack`
  `selectedAudioTrack`
  The selected audio track.
  `SubtitleTrack`
  `selectedSubtitleTrack`
  The selected subtitle track.
  `VideoTrack`
  `selectedTrickPlayTrack`
  The selected trick play video track.
  `VideoTrack`
  `selectedVideoTrack`
  The selected video track.
  `com.google.android.exoplayer2.Timeline`
  `timeline`
  The timeline associated with this selection.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ModelSelection()`
  Constructs a new ModelSelection instance.

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### playerModel

    @NonNull public PlayerModel playerModel
    The player model associated with this selection.

  - ### selectedVideoTrack

    @Nullable public VideoTrack selectedVideoTrack
    The selected video track.

  - ### selectedTrickPlayTrack

    @Nullable public VideoTrack selectedTrickPlayTrack
    The selected trick play video track.

  - ### selectedAudioTrack

    @Nullable public AudioTrack selectedAudioTrack
    The selected audio track.

  - ### selectedSubtitleTrack

    @Nullable public SubtitleTrack selectedSubtitleTrack
    The selected subtitle track.

  - ### timeline

    public com.google.android.exoplayer2.Timeline timeline
    The timeline associated with this selection.

  - ### manifest

    @Nullable public Object manifest
    The manifest associated with this selection.

- ## Constructor Details

  - ### ModelSelection

    public ModelSelection()
    Constructs a new ModelSelection instance.